Bug 1260820 - r8169 Ethernet needs autoneg off
r8169 Ethernet needs autoneg off
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 20:42 EDT by D. Wagner
Modified: 2015-12-02 13:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:16:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Wagner 2015-09-07 20:42:25 EDT
Description of problem:

When I boot, I have no Ethernet network: the Ethernet card reports it is in a link down state.  I'm using a r8169 Ethernet card.  To get my Ethernet card to establish a link, I have to manually disable autonegotiation:

# cat /etc/rc.d/rc.local 
#!/bin/sh
ethtool -s p2p1 autoneg off

As soon as I disable autonegotiation, it connects immediately.  This is 100% reproducible.  I don't have to do anything special; it's this way immediately after boot.


Version-Release number of selected component (if applicable):

kernel-4.1.6-100.fc21.x86_64
kernel-core-4.1.6-100.fc21.x86_64

However it's been like this for a while (I just haven't gotten around to reporting it until now).

# lspci -vv
...
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
        Subsystem: Biostar Microtech Int'l Corp Device 230a
    ...
        Kernel driver in use: r8169
        Kernel modules: r8169

Some excerpts from /var/log/messages:

Sep  7 16:47:22 x kernel: r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
Sep  7 16:47:22 x kernel: r8169 0000:02:00.0 eth0: RTL8168evl/8111evl at 0xff
ffc90001b96000, b8:97:5a:13:83:b6, XID 0c900800 IRQ 28
Sep  7 16:47:22 x kernel: r8169 0000:02:00.0 eth0: jumbo features [frames: 92
00 bytes, tx checksumming: ko]
Sep  7 16:47:22 x kernel: r8169 0000:02:00.0 p2p1: renamed from eth0
...
Sep  7 16:47:24 x NetworkManager[700]: <info>  (p2p1): carrier is OFF
...
Sep  7 16:47:24 x kernel: [    3.281498] r8169 0000:02:00.0 p2p1: link down
Comment 1 Fedora End Of Life 2015-11-04 05:35:53 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-12-02 10:16:24 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.